# Uses of Interface
org.eclipse.jdt.debug.core.IEvaluationRunnable

Packages that use IEvaluationRunnable
Package
Description
org.eclipse.jdt.debug.core
Provides an implementation of a debug model based on JPDA (Java Platform Debug Architecture).

## Uses of IEvaluationRunnable in org.eclipse.jdt.debug.core

Methods in org.eclipse.jdt.debug.core with parameters of type IEvaluationRunnable
Modifier and Type
Method
Description
`void`
IJavaThread.`runEvaluation(IEvaluationRunnable evaluation, org.eclipse.core.runtime.IProgressMonitor monitor, int evaluationDetail, boolean hitBreakpoints)`
Invokes the given evaluation with the specified progress monitor.